/*
  MotorControl.h - Library for controlling two motors using RomeoBLE
  Created by BorderlineInteractive, 2019
  Released into the public domain.
*/
#ifndef Robot_h
#define Robot_h

#include "Arduino.h"

class Robot
{
  public:
    Robot();
    void start();
    void set_motor(byte motor, char motor_speed, bool forward);
    void move_forward(char motor_speed);
    void move_backward(char motor_speed);
    void turn_right(char motor_speed);
    void turn_left(char motor_speed);
    void stop_movement();
  private:
    int E1;     //M1 Speed Control
    int E2;     //M2 Speed Control
    int M1;    //M1 Direction Control
    int M2;    //M1 Direction Control
    int motor_max_speed;  // maximal speed of Romeo BLE motor controller
};

#endif
